summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/update.sh b/update.sh
index 8fe6cc4..ef98e3e 100755
--- a/update.sh
+++ b/update.sh
@@ -1,3 +1,8 @@
#!/bin/bash
+set -e
+
rm -f hampshire-latest.osm.pbf
-wget http://download.geofabrik.de/europe/great-britain/england/hampshire-latest.osm.pbf && osm2pgsql -s -S osm2pgsql.style -d hampshire hampshire-latest.osm.pbf
+
+wget http://download.geofabrik.de/europe/great-britain/england/hampshire-latest.osm.pbf
+
+osm2pgsql -s -S osm2pgsql.style -d hampshire hampshire-latest.osm.pbf